Subject: Re: [PATCH] ip: find correct route for socket which is not bound (v2)

From: Wengang Wang <[email-masked]>
Date: Fri, 25 Sep 2015 08:54:30 +0800

Hi David,

在 2015年09月25日 05:22, David Miller 写道:
> From: Wengang Wang <[email-masked]>
> Date: Mon, 21 Sep 2015 16:00:09 +0800
>
>> This is the v2, comparing the v1, the changes is:
>>   * for loopback outbound device, it continue skipping cached route;
>>     for others, it goes through the cached route.
> There are many things I want you to clean up in your commit message.
>
>> For multi-cast, we should find valid route(thus get the meaniful pmtu) for
>> the package on the socket which is not bound to a device(sk_bound_dev_if
>> being 0) too.
> Please use the term "packet" rather than "package".  Gifts you receive
> from a friend might be in a "package", but data is sent onto a network
> inside of "packets".
>
>> A problem is hit that all multi-cast packages dropped by kernel(from sender
> "multicast" is a single word.
>
>> host). The lower layer is IPoIB with MTU being 7000. And I was sending 4096
>> length multi-cast  package. In side IPoIB the first send is dropped because
> "Inside" is one word.

Accepted, sorry for my bad English. I will re-post as you suggested.

thanks,
wengang